PROGRAM schnitt2(input,putput);

{Das Programm errechnet den Durchschnitt der ueber die Tastatur ein-}
{gegebenen n Zahlen. Abbruch der Eingabe erfolgt mit 0}

VAR schnitt,eingabe,summe:real;
    anzahl:integer;

BEGIN
  writeln('geben Sie n Zahlen zur Durchschnittsberechnung ein.');
  writeln('Abbruch der Eingabe erfolgt mit 0!');
  readln(eingabe);
  summe:=0;
  anzahl:=0;
  WHILE eingabe <> 0 DO
  BEGIN
    summe:=summe+eingabe;
    anzahl:=anzahl+1;
    readln(eingabe)
  END;
  schnitt:=summe/anzahl;
  writeln;
  writeln('Der Durchschnitt ist ',schnitt:0:2)
END.